* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
h1 {
  font-size: 42px;
  color: rgb(0, 0, 0);
  margin-top: 10px;
}
#calculator {
  font-family: Arial, Helvetica, sans-serif;
  background-color: rgb(39, 38, 38);
  border-radius: 15px;
  max-width: 400px;
  overflow: hidden;
}
#display {
  width: 100%;
  padding: 28px;
  font-size: 38px;
  text-align: left;
  border: none;
  background-color: rgb(70, 70, 70);
  color: white;
}
#keys {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
  padding: 25px;
}
button {
  width: 80px;
  height: 80px;
  border-radius: 50px;
  border: none;
  background-color: rgb(74, 70, 70);
  color: white;
  font-size: 30px;
  font-weight: bold;
  cursor: pointer;
}
button:hover {
  background-color: rgb(153, 147, 147);
}
button:active {
  background-color: rgb(192, 192, 192);
}
.operator-btn {
  background-color: rgb(31, 180, 244);
}
.operator-btn:hover {
  background-color: rgb(8, 128, 213);
}
.operator-btn:active {
  background-color: rgb(41, 106, 186);
}

@media only screen and (max-width: 600px) {
  body {
    height: 100vh;
    width: 100%;
  }
  h1 {
    font-size: 32px;
  }
  #calculator {
    border-radius: 15px;
    max-width: 320px;
  }
  #display {
    width: 100%;
    padding: 24px;
    font-size: 28px;
  }
  #keys {
    gap: 15px;
    padding: 20px;
  }
  button {
    width: 60px;
    height: 60px;
  }
}
